public class Ficha {
    public final static int NUM_MAS_ALTO                = 6;
    public final static int NUM_FICHAS_DOMINO           = 28;
    public final static int NUM_INICIAL_FICHAS_JUGADOR  = 7;
    public final static String OCULTA = "?:?|";
    private int a,b;	// Los dos nums de la ficha
    public Ficha(int a, int b) {
        this.a = a;
        this.b = b;
    }
    public int getA() {
        return a;
    }
    public int getB() {
        return b;
    }
    public Ficha girar() {
        int aux;
        aux    = a;
        a = b;
        b = aux;
        return this;
    }
    @Override
    public String toString() {
        return (a + ":" + b + "|");
    }
    public boolean esUnDoble() {
        return (a == b);
    }
    public int peso() {
        return a+b;
    }
}
